#!/bin/zsh
SERVER=$1
EXPORT=$2
MOUNTPOINT=$3
USER=$4

if [ "$#" -lt 4 ]; then
	echo "Usage: $0 {server} {export} {mountpoint} {user}"
	exit 1
fi

TRAPEXIT() {
	umount $MOUNTPOINT
}

mkdir -p $MOUNTPOINT
mount -o sec=sys $SERVER:$EXPORT $MOUNTPOINT
cd /home/$USER/cthon04 && ./runcthon --rdma --mkdirs $MOUNTPOINT/$USER
chmod 777 $MOUNTPOINT/$USER
